package com.palacesun.engine.spy;

import com.palacesun.engine.common.ConnectionInformation;
import com.palacesun.engine.event.JdbcEventListener;
import com.palacesun.engine.wrapper.ConnectionWrapper;
import java.sql.Connection;

/** @deprecated */
public class P6Core {
   public static Connection wrapConnection(Connection realConnection, ConnectionInformation connectionInformation) throws Exception {
      return realConnection == null ? null : ConnectionWrapper.wrap(realConnection, JdbcEventListenerFactoryLoader.load().createJdbcEventListener(), connectionInformation);
   }

   public static JdbcEventListener getJdbcEventListener() {
      return JdbcEventListenerFactoryLoader.load().createJdbcEventListener();
   }
}
